BufferedImageFilter (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.image
Class BufferedImageFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--java.awt.image.BufferedImageFilter

All Implemented Interfaces:
  Cloneable, ImageConsumer

public class BufferedImageFilter
extends ImageFilter
implements Cloneable

The `BufferedImageFilter` class subclasses an `ImageFilter` to provide a simple means of using a single-source/single-destination image operator (`BufferedImageOp`) to filter a `BufferedImage` in the Image Producer/Consumer/Observer paradigm. Examples of these image operators are: `ConvolveOp`, `AffineTransformOp` and `LookupOp`.

See Also:
  `ImageFilter`, `BufferedImage`, `BufferedImageOp`

Field Summary

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`BufferedImageFilter(BufferedImageOp op)` Constructs a `BufferedImageFilter` with the specified single-source/single-destination operator.

Method Summary
`BufferedImageOp` | `getBufferedImageOp()` Returns the `BufferedImageOp`.
`void` | `imageComplete(int status)` Filters the information provided in the `imageComplete` method of the `ImageConsumer` interface.
`void` | `setColorModel(ColorModel model)` Filters the information provided in the `setColorModel` method of the `ImageConsumer` interface.
`void` | `setDimensions(int width, int height)` Filters the information provided in the `setDimensions` method of the `ImageConsumer` interface.
`void` | `setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)` Filters the information provided in the `setPixels` method of the `ImageConsumer` interface which takes an array of bytes.
`void` | `setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)` Filters the information provided in the `setPixels` method of the `ImageConsumer` interface which takes an array of integers.

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, resendTopDownLeftRight, setHints, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferedImageFilter

    public BufferedImageFilter(BufferedImageOp op)

  Constructs a `BufferedImageFilter` with the specified single-source/single-destination operator.

Parameters:
  `op` - the specified `BufferedImageOp` to use to filter a `BufferedImage`
Throws:
  `NullPointerException` - if op is null

Method Detail

### getBufferedImageOp

    public BufferedImageOp getBufferedImageOp()

  Returns the `BufferedImageOp`.

  Returns:
    the operator of this `BufferedImageFilter`.

### setDimensions

    public void setDimensions(int width,
                              int height)

  Filters the information provided in the `setDimensions` method of the `ImageConsumer` interface.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to retrieve pixels from an image should avoid calling this method directly since that operation could result in problems with retrieving the requested pixels.

  Specified by:
    `setDimensions` in interface `ImageConsumer`
  Overrides:
    `setDimensions` in class `ImageFilter`
  Parameters:
    `width` - the width to which to set the width of this `BufferedImageFilter`
    `height` - the height to which to set the height of this `BufferedImageFilter`
  See Also:
    `ImageConsumer.setDimensions(int, int)`

### setColorModel

    public void setColorModel(ColorModel model)

  Filters the information provided in the `setColorModel` method of the `ImageConsumer` interface.

  If `model` is `null`, this method clears the current `ColorModel` of this `BufferedImageFilter`.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to retrieve pixels from an image should avoid calling this method directly since that operation could result in problems with retrieving the requested pixels.

  Specified by:
    `setColorModel` in interface `ImageConsumer`
  Overrides:
    `setColorModel` in class `ImageFilter`
  Parameters:
    `model` - the `ColorModel` to which to set the `ColorModel` of this `BufferedImageFilter`
  See Also:
    `ImageConsumer.setColorModel(java.awt.image.ColorModel)`

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          ColorModel model,
                          byte[] pixels,
                          int off,
                          int scansize)

  Filters the information provided in the `setPixels` method of the `ImageConsumer` interface which takes an array of bytes.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to retrieve pixels from an image should avoid calling this method directly since that operation could result in problems with retrieving the requested pixels.

  Specified by:
    `setPixels` in interface `ImageConsumer`
  Overrides:
    `setPixels` in class `ImageFilter`
  Throws:
    `IllegalArgumentException` - if width or height are less than zero.
  See Also:
    `ImageConsumer.setPixels(int, int, int, int, ColorModel, byte[], int, int)`

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          ColorModel model,
                          int[] pixels,
                          int off,
                          int scansize)

  Filters the information provided in the `setPixels` method of the `ImageConsumer` interface which takes an array of integers.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to retrieve pixels from an image should avoid calling this method directly since that operation could result in problems with retrieving the requested pixels.

  Specified by:
    `setPixels` in interface `ImageConsumer`
  Overrides:
    `setPixels` in class `ImageFilter`
  Throws:
    `IllegalArgumentException` - if width or height are less than zero.
  See Also:
    `ImageConsumer.setPixels(int, int, int, int, ColorModel, int[], int, int)`

### imageComplete

    public void imageComplete(int status)

  Filters the information provided in the `imageComplete` method of the `ImageConsumer` interface.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to retrieve pixels from an image should avoid calling this method directly since that operation could result in problems with retrieving the requested pixels.

  Specified by:
    `imageComplete` in interface `ImageConsumer`
  Overrides:
    `imageComplete` in class `ImageFilter`
  Parameters:
    `status` - the status of image loading
  Throws:
    `ImagingOpException` - if there was a problem calling the filter method of the `BufferedImageOp` associated with this instance.
  See Also:
    `ImageConsumer.imageComplete(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.